Loading...
Searching...
No Matches
Halide::Runtime::Internal::Synchronization::word_lock Class Reference

`#include <synchronization_common.h>`

## Public Member Functions

ALWAYS_INLINE void | lock ()
ALWAYS_INLINE void | unlock ()

## Detailed Description

Definition at line 141 of file synchronization_common.h.

## Member Function Documentation

## lock()

ALWAYS_INLINE void Halide::Runtime::Internal::Synchronization::word_lock::lock | ( |  | ) |

inline

Definition at line 148 of file synchronization_common.h.

References ALWAYS_INLINE.

Referenced by Halide::Runtime::Internal::Synchronization::lock_bucket(), and Halide::Runtime::Internal::Synchronization::lock_bucket_pair().

## unlock()

ALWAYS_INLINE void Halide::Runtime::Internal::Synchronization::word_lock::unlock | ( |  | ) |

inline

Definition at line 161 of file synchronization_common.h.

References ALWAYS_INLINE.

Referenced by Halide::Runtime::Internal::Synchronization::parking_control::park(), Halide::Runtime::Internal::Synchronization::unlock_bucket_pair(), and Halide::Runtime::Internal::Synchronization::parking_control::unpark_one().

The documentation for this class was generated from the following file:

- src/runtime/synchronization_common.h